#include <Wire.h> // OneWire Bibliothek
#include <Adafruit_PWMServoDriver.h> //Bibliothek für das PAC9585 Modul

//erzeugen einer Instanz für die Kommunikation
Adafruit_PWMServoDriver pwm = Adafruit_PWMServoDriver(); 

// Minimum der Pulselänge 
const int SERVOMIN = 125;
// Maximum der Pulselänge
const int SERVOMAX = 575;

//Port an welchem der Servo angeschlossen ist
const int SERVO_PORT = 0;
//Pause zwischen den einzelnen Schritten
const int PAUSE = 25;

void setup() {
  //beginn der Kommunikation
  pwm.begin();  
  //setzen der PWM Frequenz auf 60Hz
  pwm.setPWMFreq(60);
}

void loop() {
  //Schleife von 0..180
  for(int angle = 0;angle<180;angle++){
      //setzen des aktuellen Wertes von "angle" an dem Servo
      //dabei muss der aktuelle Winkel auf die Pulslänge gemappt werden. 
      pwm.setPWM(SERVO_PORT, 0, map(angle,0, 180, SERVOMIN,SERVOMAX));
      //eine kleine Pause
      delay(PAUSE);
  }

  //Schleife von 180..0
  for(int angle = 180;angle>=0;angle--){
      //setzen des aktuellen Wertes von "angle" an dem Servo
      //dabei muss der aktuelle Winkel auf die Pulslänge gemappt werden. 
      pwm.setPWM(SERVO_PORT, 0, map(angle,0, 180, SERVOMIN,SERVOMAX));
      //eine kleine Pause
      delay(PAUSE);
  }
}
